commit 2d47645cd47c9a84a69343b641a6ee741a85dc75
Author: Jason Merrill <jason@redhat.com>
Date:   Thu Oct 24 11:13:30 2024 -0400

    c++: remove dg-warning [PR117274]
    
    This warning was added for GCC 15, don't expect it.
    
            PR c++/117274
            PR c++/117107
    
    gcc/testsuite/ChangeLog:
    
            * g++.dg/cpp2a/decomp10.C: Remove captured binding warning.

diff --git a/gcc/testsuite/g++.dg/cpp2a/decomp10.C b/gcc/testsuite/g++.dg/cpp2a/decomp10.C
index 8fe425b5d01..cadeee347b4 100644
--- a/gcc/testsuite/g++.dg/cpp2a/decomp10.C
+++ b/gcc/testsuite/g++.dg/cpp2a/decomp10.C
@@ -12,7 +12,7 @@ struct tuple {
   void check_tuple_like() {
     tuple t;
     auto [v, r] = t; // { dg-warning "structured bindings" "" { target c++14_down } }
-    (void)[v, r] {   // { dg-warning "captured structured" "" { target c++17_down } }
+    (void)[v, r] {
         decltype(v) x;
     };
   }

